<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Seconda esercitazione</title>
</head>
<body>

<canvas id="myCanvas" width="200" height="100"></canvas>
<script>
  var c=document.getElementById("myCanvas");
  var ctx=c.getContext("2d");
  ctx.font="30px Arial";
  ctx.fillText("Hello World",10,50);
</script>

<br>
<audio controls>
  <source src="canzone.mp3" type="audio/mp3">
</audio>
<br>

<video width="320" height="240" controls>
  <source src="video.mp4" type="video/mp4">
</video>


<p id="demo">Dove ti trovi?</p>
<button onclick="getLocation()">Prova!</button>
<script>
  var x=document.getElementById("demo");
  function getLocation(){
    if (navigator.geolocation){
      //funzione supportata o autorizzata,
      //richiamo la funzione di callback showPosition
      navigator.geolocation.getCurrentPosition(showPosition);
    }else{
      x.innerHTML= "Geolocalizzazione non supportata";
    }
  }
  function showPosition(position){
    x.innerHTML="Latitudine: " + position.coords.latitude +
      " Longitudine: " + position.coords.longitude; }
</script>
</body>
</html>

</body>
</html>
